Summary:	Bundle of CA Root Certificates
Name:		rootcerts
Version:	20060621
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://www.mandriva.com
# S0 originates from http://switch.dl.sourceforge.net/sourceforge/courier/courier-0.52.1.tar.bz2
Source0:	rootcerts.tar.bz2
# www.mail-archive.com/ modssl-users@modssl.org/msg16980.html
Source1:	certdata.txt.bz2
Source2:	rootcerts-igp-brasil.txt.bz2
# http://www.cacert.org/certs/root.der
Source3:	cacert.org.der
BuildRequires:	perl openssl nss
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This is a bundle of X.509 certificates of public Certificate
Authorities (CA). These were automatically extracted from Mozilla's
root CA list (the file "certdata.txt"). It contains the certificates
in both plain text and PEM format and therefore can be directly used
with an Apache/mod_ssl webserver for SSL client authentication. Just
configure this file as the SSLCACertificateFile.

%prep

%setup -q -n rootcerts

#cvs -d :pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot co -p mozilla/security/nss/lib/ckfw/builtins/certdata.txt > certdata.txt

mkdir -p builtins
bzcat %{SOURCE1} > builtins/certdata.txt

# add additional CA's here, needs to have the mozilla format...
bzcat %{SOURCE2} >> builtins/certdata.txt

# CAcert
cp %{SOURCE3} .

%build 
rm -f configure
libtoolize --copy --force; aclocal; autoconf; automake --foreign --add-missing --copy

# CAcert
# http://wiki.cacert.org/wiki/NSSLib
addbuiltin -n "CAcert Inc." -t "CT,C,C" < cacert.org.der >> builtins/certdata.txt

perl mkcerts.pl > certs.sh

%configure2_5x --with-certdb=%{_sysconfdir}/pki/tls/rootcerts
%make
cat pem/*.pem > ca-bundle.crt

%install
rm -rf %{buildroot}

%makeinstall_std

install -d %{buildroot}%{_sysconfdir}/pki/tls/certs
install -d %{buildroot}%{_sysconfdir}/pki/tls/mozilla
install -d %{buildroot}%{_bindir}

install -m0644 ca-bundle.crt %{buildroot}%{_sysconfdir}/pki/tls/certs/
ln -s certs/ca-bundle.crt %{buildroot}%{_sysconfdir}/pki/tls/cert.pem

install -m0644 builtins/certdata.txt %{buildroot}%{_sysconfdir}/pki/tls/mozilla/

cat > README << EOF

R O O T C E R T S
-----------------

This is a bundle of X.509 certificates of public Certificate
Authorities (CA). These were automatically extracted from Mozilla's
root CA list (the file "certdata.txt"). It contains the certificates
in both plain text and PEM format and therefore can be directly used
with an Apache/mod_ssl webserver for SSL client authentication. Just
configure this file as the SSLCACertificateFile.

EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README
%{_sysconfdir}/pki/tls/cert.pem
%config(noreplace) %{_sysconfdir}/pki/tls/certs/ca-bundle.crt
%config(noreplace) %{_sysconfdir}/pki/tls/rootcerts/*
%config(noreplace) %{_sysconfdir}/pki/tls/mozilla/certdata.txt

%changelog
* Wed Jun 21 2006 Oden Eriksson <oeriksson@mandriva.com> 20060621-2mdv2007.0
- added the cacert root cert
- add the certdata.txt to the package

* Wed Jun 21 2006 Oden Eriksson <oeriksson@mandriva.com> 20060621-1mdv2007.0
- new certdata.txt from the mozilla cvs

* Fri Nov 11 2005 Oden Eriksson <oeriksson@mandriva.com> 20051111-1mdk
- initial Mandriva package
- added ICP-Brasil from a patch added to our mozilla-firefox
- credits goes to Scott Grayban for finding this bug
